package com.keyware.shandan.browser.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 全文检索查询参数
 *
 * @author GuoXin
 * @date 2023/9/9
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FullSearchParam extends SearchResultSort {
    /**
     * 搜索的文本
     */
    String search;
    /**
     * 搜索类型，是否为匹配文本片段
     */
    String searchType;
    /**
     * 资源ID
     */
    String metaId;
    /**
     * 要查询的字段集合，以英文逗号字符拼接
     */
    String searchFields;
}
